coefficients {base} | R Documentation

## Extract Model Coefficients

### Description

`coef` is a generic function which extracts model coefficients from objects returned by modeling functions. `coefficients` is an alias (`.Alias`) for it.

### Usage

    coef(object, ...)
    coefficients(object, ...)

### Arguments

`object` | an object for which the extraction of model coefficients is meaningful.
`...` | other arguments.

### Details

All object classes which are returned by model fitting functions should provide a `coef` method. (Note that the method is `coef` and not `coefficients`.)

### Value

Coefficients extracted from the model object `object`.

### See Also

`fitted.values` and `residuals` for related methods; `glm`, `lm` for model fitting.

### Examples

    x <- 1:5; coef(lm(c(1:3,7,6) ~ x))